Updated to automake 1.10.
[gnupg.git] / doc / Makefile.am
index 020338b..105a369 100644 (file)
-## Process this file with automake to create Makefile.in
+# Copyright (C) 2002, 2004 Free Software Foundation, Inc.
+#
+# This file is part of GnuPG.
+#
+# GnuPG is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+# 
+# GnuPG is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+# USA.
 
-EXTRA_DIST = DETAILS rfcs gpg.1pod gpg.1
+## Process this file with automake to produce Makefile.in
 
-man_MANS = gpg.1
+examples = examples/README examples/scd-event examples/trustlist.txt \
+          examples/gpgconf.conf
 
-%: %pod
-        pod2man $< --section=`echo $@ | sed 's/^.*(?)$$/$$&/'`\
-                   --release="`date -r $< '+%d %b %Y'`"\
-                   --center="GNU Tools"  --date=' '\
-                    >$@,$$$$ && mv -f $@,$$$$ $@\
-                   || rm -f $@,$$$$
+EXTRA_DIST = DETAILS HACKING TRANSLATE OpenPGP KEYSERVER samplekeys.asc \
+            gnupg-logo.eps gnupg-logo.pdf gnupg-logo.png \
+             gnupg-card-architecture.eps gnupg-card-architecture.png \
+             gnupg-card-architecture.pdf \
+             faq.raw FAQ faq.html gnupg7.texi \
+             opt-homedir.texi see-also-note.texi specify-user-id.texi \
+            gpgv.texi texi.css $(examples)
 
+BUILT_SOURCES = gnupg-card-architecture.eps gnupg-card-architecture.png \
+                gnupg-card-architecture.pdf FAQ faq.html
 
+noinst_PROGRAMS = yat2m
 
-%.txt : %.sgml
-        sgml2txt -c latin $*
+info_TEXINFOS = gnupg.texi
 
-%.html : %.sgml
-        sgml2html -l deutsch -c latin $*
+dist_pkgdata_DATA = qualified.txt FAQ faq.html com-certs.pem
 
-%.dvi : %.sgml
-       -rm $*.sgml.tmp
-       mv $*.sgml $*.sgml.tmp
-       sed -e '/<!entity/  s/"IGNORE">/"INCLUDE">/' $*.sgml.tmp >$*.sgml
-       sgml2latex -b -l deutsch -c latin $* ; mv $*.sgml.tmp $*.sgml
+gnupg_TEXINFOS = \
+       gpg.texi gpgsm.texi gpg-agent.texi scdaemon.texi instguide.texi \
+       tools.texi debugging.texi glossary.texi contrib.texi gpl.texi \
+       sysnotes.texi gnupg-card-architecture.fig
 
-%.ps : %.sgml
-       -rm $*.sgml.tmp
-       mv $*.sgml $*.sgml.tmp
-       sed -e '/<!entity/  s/"IGNORE">/"INCLUDE">/' $*.sgml.tmp >$*.sgml
-       sgml2latex -b -l deutsch -c latin -o ps $* ; mv $*.sgml.tmp $*.sgml
+AM_MAKEINFOFLAGS = -I $(srcdir) --css-include=$(srcdir)/texi.css
+
+YAT2M_OPTIONS = -I $(srcdir) \
+        --release "GnuPG @PACKAGE_VERSION@" --source "GNU Privacy Guard"
+
+myman_sources = gnupg7.texi gpg.texi gpgsm.texi gpg-agent.texi \
+                scdaemon.texi tools.texi
+myman_pages   = gpg2.1 gpgsm.1 gpg-agent.1 scdaemon.1 gpgv2.1 \
+                watchgnupg.1 gpgconf.1 addgnupghome.8 gpg-preset-passphrase.1 \
+               gpg-connect-agent.1 gpgparsemail.1 symcryptrun.1 \
+               gpgsm-gencert.sh.1 applygnupgdefaults.8
+
+man_MANS = $(myman_pages)
+noinst_MANS = gnupg.7
+
+watchgnupg_SOURCE = gnupg.texi
+
+
+CLEANFILES = faq.raw.xref
+
+DISTCLEANFILES = gnupg.tmp gnupg.ops yat2m-stamp.tmp yat2m-stamp \
+                $(myman_pages) gnupg.7
+
+yat2m_SOURCES = yat2m.c
+
+
+
+.fig.png:
+       fig2dev -L png `test -f '$<' || echo '$(srcdir)/'`$< $@
+
+.fig.jpg:
+       fig2dev -L jpg `test -f '$<' || echo '$(srcdir)/'`$< $@
+
+.fig.eps:
+       fig2dev -L eps `test -f '$<' || echo '$(srcdir)/'`$< $@
+
+.fig.pdf:
+       fig2dev -L pdf `test -f '$<' || echo '$(srcdir)/'`$< $@
+
+
+FAQ : faq.raw
+if WORKING_FAQPROG
+       $(FAQPROG) -f $<  $@ || $(FAQPROG) -f $< $@
+else
+       : Warning: missing faqprog.pl, cannot make $@
+       echo "No $@ due to missing faqprog.pl" > $@
+       echo "See ftp://ftp.gnupg.org/gcrypt/contrib/faqprog.pl" >> $@
+endif
+
+faq.html : faq.raw
+if WORKING_FAQPROG
+       $(FAQPROG) -h -f $< $@ 2>&1 || $(FAQPROG) -h -f $< $@
+else
+       : Warning: missing faqprog.pl, cannot make $@
+       echo "No $@ due to missing faqprog.pl" > $@
+       echo "See ftp://ftp.gnupg.org/gcrypt/contrib/faqprog.pl" >> $@
+endif
+
+
+yat2m-stamp: $(myman_sources)
+       @rm -f yat2m-stamp.tmp
+       @touch yat2m-stamp.tmp
+       for file in $(myman_sources) ; do \
+              ./yat2m $(YAT2M_OPTIONS) --store \
+                 `test -f '$$file' || echo '$(srcdir)/'`$$file ; done
+       @mv -f yat2m-stamp.tmp $@
+
+yat2m-stamp: yat2m
+
+$(myman_pages) gnupg.7 : yat2m-stamp
+       @if test -f $@; then :; else \
+            trap 'rm -rf yat2m-stamp yat2m-lock' 1 2 13 15; \
+               if mkdir yat2m-lock 2>/dev/null; then \
+                 rm -f yat2m-stamp; \
+                 $(MAKE) $(AM_MAKEFLAGS) yat2m-stamp; \
+                 rmdir yat2m-lock; \
+               else \
+                 while test -d yat2m-lock; do sleep 1; done; \
+                 test -f yat2m-stamp; exit $$?; \
+               fi; \
+             fi
+
+# Make sure that gnupg.texi is touched if any other source file has
+# been modified.  This is required so that the version.texi magic
+# updates the release date.
+gnupg.texi : $(gnupg_TEXINFOS)
+       touch $(srcdir)/gnupg.texi
+
+
+online: gnupg.html gnupg.pdf
+       set -e; \
+       echo "Uploading current manuals to www.gnupg.org ..."; \
+       cp gnupg-logo.png gnupg.html/; \
+        user=werner ; \
+       (cd gnupg.html && rsync -vr --exclude='.svn' .  \
+         $${user}@cvs.gnupg.org:webspace/manuals/gnupg/ ); \
+        rsync -v gnupg.pdf $${user}@cvs.gnupg.org:webspace/manuals/